PathSensitivity (Gradle API 7.6.4)

Package org.gradle.api.tasks

## Enum PathSensitivity

- java.lang.Object
- - java.lang.Enum<PathSensitivity>
  - - org.gradle.api.tasks.PathSensitivity

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PathSensitivity>`

      public enum PathSensitivity
      extends java.lang.Enum<PathSensitivity>

  Enumeration of different path handling strategies for task properties.
  Since:
    3.1
  See Also:
    `PathSensitive`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABSOLUTE` | Consider the full path of files and directories.
    `NAME_ONLY` | Consider only the name of files and directories.
    `NONE` | Ignore file paths and directories altogether.
    `RELATIVE` | Use the location of the file related to a hierarchy.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PathSensitivity` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PathSensitivity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSOLUTE

          public static final PathSensitivity ABSOLUTE

      Consider the full path of files and directories.

      This will prevent the task's outputs from being shared across different workspaces via the build cache.

    - #### RELATIVE

          public static final PathSensitivity RELATIVE

      Use the location of the file related to a hierarchy.

      For files in the root of the file collection, the file name is used as the normalized path. For directories in the root of the file collection, an empty string is used as normalized path. For files in directories in the root of the file collection, the normalized path is the relative path of the file to the root directory containing it.

      Example: The property is an input directory.
      - The path of the input directory is ignored.
      - The path of the files in the input directory are considered relative to the input directory.

    - #### NAME_ONLY

          public static final PathSensitivity NAME_ONLY

      Consider only the name of files and directories.

    - #### NONE

          public static final PathSensitivity NONE

      Ignore file paths and directories altogether.

  - ### Method Detail

    - #### values

          public static PathSensitivity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathSensitivity c : PathSensitivity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathSensitivity valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null